Manifest-Version: 1.0
Bnd-LastModified: 1761580064438
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 9.36.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="2.2.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.4.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.transaction,com.lifer
 ay.portal.kernel.util",com.liferay.announcements.kernel.service.persi
 stence;version="3.2.0";uses:="com.liferay.announcements.kernel.except
 ion,com.liferay.announcements.kernel.model,com.liferay.portal.kernel.
 dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.persistence,com.liferay.portal.kernel.util",com.liferay.announ
 cements.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.theme",com.liferay.asset
 .kernel;version="1.1.2";uses:="com.liferay.asset.kernel.model,com.lif
 eray.portal.kernel.exception",com.liferay.asset.kernel.action;version
 ="1.1.1";uses:="com.liferay.asset.kernel.model,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.security.permission,javax.ser
 vlet.http",com.liferay.asset.kernel.exception;version="2.0.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.model;version="3.5.0";uses:="com.liferay.dyna
 mic.data.mapping.kernel,com.liferay.exportimport.kernel.lar,com.lifer
 ay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.ke
 rnel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.model.change.tracking,com.liferay.portal.kernel.model.wrapper,com.
 liferay.portal.kernel.portlet,com.liferay.portal.kernel.resource.bund
 le,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.util,javax.portlet,javax.servle
 t,javax.servlet.http",com.liferay.asset.kernel.model.adapter;version=
 "2.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kern
 el.model",com.liferay.asset.kernel.service;version="2.10.0";uses:="co
 m.liferay.asset.kernel.model,com.liferay.asset.kernel.service.persist
 ence,com.liferay.exportimport.kernel.lar,com.liferay.petra.function,c
 om.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread
 .local,com.liferay.portal.kernel.change.tracking,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.increment,com.liferay.portal.kernel.json,com.liferay.portal.ke
 rnel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.security.access.control,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.service.chan
 ge.tracking,com.liferay.portal.kernel.service.permission,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.asset.kernel.service.persistence;vers
 ion="3.5.0";uses:="com.liferay.asset.kernel.exception,com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.
 kernel.dao.search,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.service,com.liferay.portal.kernel.service.persistence,com.life
 ray.portal.kernel.service.persistence.change.tracking,com.liferay.por
 tal.kernel.util",com.liferay.asset.kernel.util;version="2.0.0",com.li
 feray.asset.kernel.validator;version="1.1.0";uses:="com.liferay.porta
 l.kernel.exception",com.liferay.background.task.kernel.util.comparato
 r;version="1.1.0";uses:="com.liferay.portal.kernel.backgroundtask,com
 .liferay.portal.kernel.util",com.liferay.counter.kernel;version="2.2.
 0",com.liferay.counter.kernel.exception;version="1.0.0";uses:="com.li
 feray.portal.kernel.exception",com.liferay.counter.kernel.model;versi
 on="2.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl
 .base,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.
 bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 wrapper,com.liferay.portal.kernel.util",com.liferay.counter.kernel.se
 rvice;version="2.0.2";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.transaction",
 com.liferay.counter.kernel.service.persistence;version="2.0.2",com.li
 feray.document.library.kernel;version="1.0.0";uses:="com.liferay.port
 al.kernel.exception",com.liferay.document.library.kernel.antivirus;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .document.library.kernel.document.conversion;version="1.0.0",com.life
 ray.document.library.kernel.exception;version="3.1.0";uses:="com.life
 ray.portal.kernel.exception",com.liferay.document.library.kernel.mode
 l;version="3.2.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.
 liferay.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.
 liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.port
 al.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.model.change.tracking,com.life
 ray.portal.kernel.model.wrapper,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.trash,com.liferay.portal.kernel.util,
 com.liferay.trash.kernel.model",com.liferay.document.library.kernel.s
 ervice;version="3.6.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.document.library.kernel.exception,com.liferay.document.library.ke
 rnel.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.export
 import.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.cache.thread.local,com.liferay.port
 al.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.increment,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.lock,com
 .liferay.portal.kernel.messaging.async,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.repository.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.security.access.control,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.change.trac
 king,com.liferay.portal.kernel.service.permission,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 systemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.
 kernel.util",com.liferay.document.library.kernel.service.persistence;
 version="4.2.0";uses:="com.liferay.document.library.kernel.exception,
 com.liferay.document.library.kernel.model,com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence,com.liferay.portal.kernel.service.persistence.chang
 e.tracking,com.liferay.portal.kernel.util",com.liferay.document.libra
 ry.kernel.store;version="2.1.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.transaction",com.liferay.document.lib
 rary.kernel.util;version="2.0.0";uses:="com.liferay.document.library.
 kernel.exception,com.liferay.document.library.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portl
 et",com.liferay.document.library.kernel.util.comparator;version="2.1.
 0";uses:="com.liferay.document.library.kernel.model,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.versioning;version="1.0.0";uses:="com.lifera
 y.document.library.kernel.model",com.liferay.dynamic.data.mapping.ker
 nel;version="1.4.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.expan
 do.kernel.exception;version="1.1.0";uses:="com.liferay.portal.kernel.
 exception",com.liferay.expando.kernel.model;version="3.3.0";uses:="co
 m.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.po
 rtal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util",com.liferay.expando.kernel.model.adapt
 er;version="2.3.0";uses:="com.liferay.expando.kernel.model,com.lifera
 y.portal.kernel.model",com.liferay.expando.kernel.service;version="1.
 7.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.functi
 on,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.t
 racking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jso
 nwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.security.access.control,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.change.track
 ing,com.liferay.portal.kernel.service.persistence.change.tracking,com
 .liferay.portal.kernel.transaction,com.liferay.portal.kernel.util",co
 m.liferay.expando.kernel.service.permission;version="1.0.0";uses:="co
 m.liferay.expando.kernel.model,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.security.permission",com.liferay.expando.kern
 el.service.persistence;version="3.1.0";uses:="com.liferay.expando.ker
 nel.exception,com.liferay.expando.kernel.model,com.liferay.portal.ker
 nel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util",com.liferay.expando.k
 ernel.util;version="2.0.0";uses:="com.liferay.expando.kernel.model,co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.service",com
 .liferay.exportimport.kernel.background.task;version="1.3.0",com.life
 ray.exportimport.kernel.configuration;version="3.1.0";uses:="com.life
 ray.exportimport.kernel.model,com.liferay.portal.kernel.backgroundtas
 k,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model
 ,javax.portlet",com.liferay.exportimport.kernel.configuration.constan
 ts;version="1.0.0",com.liferay.exportimport.kernel.controller;version
 ="1.0.3";uses:="com.liferay.exportimport.kernel.lar,com.liferay.expor
 timport.kernel.model",com.liferay.exportimport.kernel.exception;versi
 on="1.3.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.por
 tal.kernel.exception",com.liferay.exportimport.kernel.lar;version="3.
 3.0";uses:="com.liferay.expando.kernel.model,com.liferay.exportimport
 .kernel.model,com.liferay.portal.kernel.backgroundtask,com.liferay.po
 rtal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.repository.model,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.theme,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,com.liferay.portal.kernel.zip,javax.portlet",com.liferay
 .exportimport.kernel.lifecycle;version="2.0.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.exportimport.kernel.model,com.lifera
 y.portal.kernel.model",com.liferay.exportimport.kernel.lifecycle.cons
 tants;version="1.0.0",com.liferay.exportimport.kernel.model;version="
 2.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.bas
 e,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.tra
 sh,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model",com
 .liferay.exportimport.kernel.service;version="2.5.0";uses:="com.lifer
 ay.exportimport.kernel.lar,com.liferay.exportimport.kernel.model,com.
 liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.orm,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.jsonwebservice
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.security.access.control,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.systemevent,com.liferay.portal.
 kernel.transaction,com.liferay.portal.kernel.util,javax.portlet",com.
 liferay.exportimport.kernel.service.persistence;version="2.3.0";uses:
 ="com.liferay.exportimport.kernel.exception,com.liferay.exportimport.
 kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.service.persistence,com.liferay
 .portal.kernel.util",com.liferay.exportimport.kernel.staging;version=
 "2.2.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.export
 import.kernel.model,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.security.auth,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.workflow,com.liferay.portal.kernel.xml,javax.portlet,javax.s
 ervlet.http",com.liferay.exportimport.kernel.staging.constants;versio
 n="1.0.0",com.liferay.exportimport.kernel.staging.permission;version=
 "1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission",com.liferay.exportimport.kernel.xstream;vers
 ion="1.0.3",com.liferay.image.gallery.display.kernel.display.context;
 version="1.0.0";uses:="com.liferay.portal.kernel.display.context,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.servlet.taglib.ui,javax.servlet.http"
 ,com.liferay.layout.admin.kernel.model;version="1.0.0";uses:="com.lif
 eray.portal.kernel.model",com.liferay.layout.admin.kernel.util;versio
 n="1.2.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.util,com.liferay.portal.kernel.xml",com.liferay.layout.seo.kerne
 l;version="1.2.0";uses:="com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.util",com.liferay.l
 ayouts.admin.kernel.model;version="1.3.0";uses:="com.liferay.portal.k
 ernel.model",com.liferay.layouts.admin.kernel.util;version="1.3.1";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,co
 m.liferay.portal.kernel.xml",com.liferay.mail.kernel.model;version="1
 .1.0";uses:="javax.mail.internet",com.liferay.mail.kernel.service;ver
 sion="1.0.0";uses:="com.liferay.mail.kernel.model,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.transaction,javax.mail",co
 m.liferay.mail.kernel.template;version="2.0.0";uses:="com.liferay.por
 tal.kernel.util",com.liferay.mail.kernel.util;version="1.0.0";uses:="
 com.liferay.mail.kernel.model",com.liferay.membership.requests.kernel
 .util.comparator;version="1.1.0";uses:="com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.util",com.liferay.mobile.device.rules.ke
 rnel;version="1.0.0";uses:="com.liferay.expando.kernel.model,com.life
 ray.exportimport.kernel.lar",com.liferay.portal.kernel.annotation;ver
 sion="7.0.0",com.liferay.portal.kernel.aop;version="1.0.1",com.lifera
 y.portal.kernel.application.type;version="1.0.0",com.liferay.portal.k
 ernel.atom;version="7.0.2";uses:="com.liferay.portal.kernel.exception
 ",com.liferay.portal.kernel.audit;version="7.0.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.po
 rtal.kernel.messaging.proxy",com.liferay.portal.kernel.backgroundtask
 ;version="8.0.0";uses:="com.liferay.petra.lang,com.liferay.portal.ker
 nel.backgroundtask.display,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.messaging,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.util",com.liferay.portal.kernel.background
 task.constants;version="1.0.0",com.liferay.portal.kernel.backgroundta
 sk.display;version="2.0.0";uses:="com.liferay.portal.kernel.backgroun
 dtask,com.liferay.portal.kernel.json,com.liferay.portal.kernel.templa
 te,javax.servlet.http",com.liferay.portal.kernel.bean;version="8.0.0"
 ;uses:="javax.portlet,javax.servlet.http",com.liferay.portal.kernel.c
 ache;version="9.1.0";uses:="com.liferay.portal.kernel.nio.intraband.p
 roxy.annotation,com.liferay.portal.kernel.transaction",com.liferay.po
 rtal.kernel.cache.configurator;version="1.0.0",com.liferay.portal.ker
 nel.cache.index;version="6.2.0";uses:="com.liferay.portal.kernel.cach
 e",com.liferay.portal.kernel.cache.key;version="6.3.0";uses:="com.lif
 eray.petra.string,com.liferay.portal.kernel.util",com.liferay.portal.
 kernel.cache.thread.local;version="2.0.0";uses:="com.liferay.portal.k
 ernel.transaction",com.liferay.portal.kernel.cache.transactional;vers
 ion="2.1.0";uses:="com.liferay.portal.kernel.cache,com.liferay.portal
 .kernel.transaction",com.liferay.portal.kernel.cal;version="6.3.0",co
 m.liferay.portal.kernel.captcha;version="7.0.0";uses:="com.liferay.po
 rtal.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.p
 ortal.kernel.change.tracking;version="1.2.0";uses:="com.liferay.petra
 .lang,com.liferay.portal.kernel.exception",com.liferay.portal.kernel.
 cluster;version="8.0.0";uses:="com.liferay.portal.kernel.concurrent,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.messagin
 g,com.liferay.portal.kernel.util",com.liferay.portal.kernel.cluster.m
 essaging;version="7.1.0";uses:="com.liferay.portal.kernel.cluster,com
 .liferay.portal.kernel.messaging",com.liferay.portal.kernel.comment;v
 ersion="3.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.security.permission,c
 om.liferay.portal.kernel.service,com.liferay.ratings.kernel.model",co
 m.liferay.portal.kernel.comment.display.context;version="1.0.0";uses:
 ="com.liferay.portal.kernel.comment,com.liferay.portal.kernel.display
 .context,com.liferay.portal.kernel.exception,javax.servlet.http",com.
 liferay.portal.kernel.concurrent;version="8.0.0",com.liferay.portal.k
 ernel.configuration;version="6.3.0",com.liferay.portal.kernel.dao.db;
 version="7.9.0";uses:="javax.naming,javax.sql",com.liferay.portal.ker
 nel.dao.jdbc;version="8.0.0";uses:="javax.naming,javax.sql",com.lifer
 ay.portal.kernel.dao.jdbc.aop;version="7.0.0";uses:="javax.sql",com.l
 iferay.portal.kernel.dao.jdbc.pool.metrics;version="1.0.0",com.lifera
 y.portal.kernel.dao.orm;version="9.7.0";uses:="com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.qu
 ery,com.liferay.portal.kernel.cache,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.service.pe
 rsistence.impl,com.liferay.portal.kernel.transaction,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.dao.search;version="8.0.1";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 util,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.port
 al.kernel.dependency.manager;version="1.2.0",com.liferay.portal.kerne
 l.deploy;version="6.3.1";uses:="com.liferay.portal.kernel.deploy.auto
 .context,com.liferay.portal.kernel.plugin",com.liferay.portal.kernel.
 deploy.auto;version="7.1.0";uses:="com.liferay.portal.kernel.deploy.a
 uto.context,com.liferay.portal.kernel.exception",com.liferay.portal.k
 ernel.deploy.auto.context;version="6.3.0";uses:="com.liferay.portal.k
 ernel.plugin",com.liferay.portal.kernel.deploy.hot;version="7.1.2";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.me
 ssaging,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.ut
 il,javax.servlet",com.liferay.portal.kernel.diff;version="1.0.0";uses
 :="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.dis
 play.context;version="1.0.0";uses:="com.liferay.registry,javax.servle
 t.http",com.liferay.portal.kernel.display.context.util;version="1.1.0
 ";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.po
 rtlet,com.liferay.portal.kernel.security.permission,com.liferay.porta
 l.kernel.theme,javax.servlet.http",com.liferay.portal.kernel.editor;v
 ersion="7.0.0",com.liferay.portal.kernel.editor.configuration;version
 ="1.1.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.ker
 nel.portlet,com.liferay.portal.kernel.theme",com.liferay.portal.kerne
 l.editor.constants;version="1.0.0",com.liferay.portal.kernel.events;v
 ersion="6.3.0";uses:="com.liferay.portal.kernel.exception,javax.portl
 et,javax.servlet.http",com.liferay.portal.kernel.exception;version="9
 .5.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.security.auth,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.facebook;version="7.0.0";uses:="com.liferay.portal.kernel.json,j
 avax.portlet",com.liferay.portal.kernel.flash;version="6.2.0",com.lif
 eray.portal.kernel.format;version="7.0.0",com.liferay.portal.kernel.g
 roup.capability;version="1.0.0";uses:="com.liferay.portal.kernel.mode
 l",com.liferay.portal.kernel.image;version="7.2.2";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,javax.servle
 t",com.liferay.portal.kernel.increment;version="7.0.0",com.liferay.po
 rtal.kernel.instance.lifecycle;version="2.0.0";uses:="com.liferay.por
 tal.kernel.model",com.liferay.portal.kernel.interval;version="1.0.0";
 uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel
 .io;version="8.0.0",com.liferay.portal.kernel.io.constants;version="1
 .0.0",com.liferay.portal.kernel.io.unsync;version="7.0.0";uses:="com.
 liferay.portal.kernel.util",com.liferay.portal.kernel.javadoc;version
 ="7.0.0",com.liferay.portal.kernel.jazzy;version="1.0.0",com.liferay.
 portal.kernel.jmx.model;version="7.0.0";uses:="javax.management",com.
 liferay.portal.kernel.jndi;version="7.0.0";uses:="javax.naming",com.l
 iferay.portal.kernel.json;version="8.7.0";uses:="com.liferay.petra.fu
 nction,com.liferay.portal.kernel.exception",com.liferay.portal.kernel
 .jsonwebservice;version="7.0.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.util,javax.servlet,javax.servlet.http
 ",com.liferay.portal.kernel.language;version="8.3.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.resource.bundle,
 com.liferay.portal.kernel.util,javax.portlet,javax.servlet.http",com.
 liferay.portal.kernel.language.constants;version="1.0.0",com.liferay.
 portal.kernel.layoutconfiguration.util;version="1.2.1";uses:="com.lif
 eray.portal.kernel.layoutconfiguration.util.xml,com.liferay.portal.ke
 rnel.template,com.liferay.portal.kernel.util,javax.servlet.http",com.
 liferay.portal.kernel.layoutconfiguration.util.xml;version="1.0.0",co
 m.liferay.portal.kernel.license;version="1.0.0",com.liferay.portal.ke
 rnel.license.messaging;version="2.0.0";uses:="com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.messaging",com.liferay.portal.kerne
 l.license.util;version="1.0.0";uses:="com.liferay.portal.kernel.json,
 com.liferay.portal.kernel.license",com.liferay.portal.kernel.lock;ver
 sion="7.3.0";uses:="com.liferay.portal.kernel.exception",com.liferay.
 portal.kernel.log;version="7.0.0",com.liferay.portal.kernel.lpkg;vers
 ion="2.0.0",com.liferay.portal.kernel.management;version="8.0.0";uses
 :="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.man
 agement.jmx;version="6.2.0";uses:="com.liferay.portal.kernel.jmx.mode
 l,com.liferay.portal.kernel.management,javax.management",com.liferay.
 portal.kernel.messaging;version="9.1.0";uses:="com.liferay.petra.exec
 utor,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.me
 ssaging.sender,com.liferay.registry",com.liferay.portal.kernel.messag
 ing.async;version="6.2.0",com.liferay.portal.kernel.messaging.config;
 version="8.1.0";uses:="com.liferay.portal.kernel.messaging",com.lifer
 ay.portal.kernel.messaging.proxy;version="8.1.0";uses:="com.liferay.p
 etra.lang,com.liferay.portal.kernel.messaging,com.liferay.portal.kern
 el.messaging.sender,com.liferay.portal.kernel.spring.aop",com.liferay
 .portal.kernel.messaging.sender;version="8.0.0";uses:="com.liferay.po
 rtal.kernel.messaging",com.liferay.portal.kernel.metadata;version="7.
 0.1";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.expor
 timport.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.xml",com.lifer
 ay.portal.kernel.microsofttranslator;version="7.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.mobile.device;v
 ersion="9.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.m
 odel;version="5.6.0";uses:="com.liferay.asset.kernel.model,com.lifera
 y.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.lifera
 y.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.ker
 nel.annotation,com.liferay.portal.kernel.application.type,com.liferay
 .portal.kernel.atom,com.liferay.portal.kernel.bean,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.model.change.tracking,com.liferay.portal.kernel.model.portlet,c
 om.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.noti
 fications,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.
 poller,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.portle
 t,com.liferay.portal.kernel.scheduler,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.security.permission.propagator,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ker
 nel.servlet,com.liferay.portal.kernel.template,com.liferay.portal.ker
 nel.theme,com.liferay.portal.kernel.trash,com.liferay.portal.kernel.u
 til,com.liferay.portal.kernel.webdav,com.liferay.portal.kernel.workfl
 ow,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com
 .liferay.social.kernel.model,com.liferay.trash.kernel.model,javax.por
 tlet,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.mode
 l.adapter;version="3.1.0";uses:="com.liferay.portal.kernel.model",com
 .liferay.portal.kernel.model.adapter.builder;version="1.0.0",com.life
 ray.portal.kernel.model.cache;version="1.0.0",com.liferay.portal.kern
 el.model.change.tracking;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.model",com.liferay.portal.kernel.model.dao;version="2.5.0",com.l
 iferay.portal.kernel.model.impl;version="3.4.0";uses:="com.liferay.ex
 pando.kernel.model,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.io.unsync,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.service,java
 x.servlet,javax.servlet.http",com.liferay.portal.kernel.model.portlet
 ;version="2.0.0";uses:="com.liferay.petra.string,javax.portlet",com.l
 iferay.portal.kernel.model.role;version="1.1.0",com.liferay.portal.ke
 rnel.model.version;version="2.0.0",com.liferay.portal.kernel.model.wr
 apper;version="1.1.0";uses:="com.liferay.expando.kernel.model,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.service",com.lifer
 ay.portal.kernel.module.configuration;version="2.0.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.settings",com.liferay.portal.kernel.module.framework
 ;version="1.4.0",com.liferay.portal.kernel.module.framework.service;v
 ersion="1.0.1";uses:="com.liferay.portal.kernel.transaction,com.lifer
 ay.portal.kernel.util",com.liferay.portal.kernel.monitoring;version="
 8.0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.
 liferay.portal.kernel.nio.intraband;version="7.0.0",com.liferay.porta
 l.kernel.nio.intraband.blocking;version="6.3.0";uses:="com.liferay.po
 rtal.kernel.nio.intraband",com.liferay.portal.kernel.nio.intraband.ma
 ilbox;version="6.3.0";uses:="com.liferay.portal.kernel.nio.intraband"
 ,com.liferay.portal.kernel.nio.intraband.messaging;version="7.0.0";us
 es:="com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.ni
 o.intraband,com.liferay.portal.kernel.process,com.liferay.portal.kern
 el.resiliency.spi",com.liferay.portal.kernel.nio.intraband.nonblockin
 g;version="6.3.0";uses:="com.liferay.portal.kernel.nio.intraband",com
 .liferay.portal.kernel.nio.intraband.proxy;version="1.0.0";uses:="com
 .liferay.portal.kernel.io,com.liferay.portal.kernel.nio.intraband",co
 m.liferay.portal.kernel.nio.intraband.proxy.annotation;version="1.0.0
 ",com.liferay.portal.kernel.nio.intraband.rpc;version="7.0.0";uses:="
 com.liferay.portal.kernel.concurrent,com.liferay.portal.kernel.nio.in
 traband,com.liferay.portal.kernel.process",com.liferay.portal.kernel.
 nio.intraband.welder;version="6.2.0";uses:="com.liferay.portal.kernel
 .nio.intraband",com.liferay.portal.kernel.nio.intraband.welder.fifo;v
 ersion="6.2.0";uses:="com.liferay.portal.kernel.nio.intraband,com.lif
 eray.portal.kernel.nio.intraband.welder",com.liferay.portal.kernel.ni
 o.intraband.welder.socket;version="6.2.0";uses:="com.liferay.portal.k
 ernel.nio.intraband,com.liferay.portal.kernel.nio.intraband.welder,co
 m.liferay.portal.kernel.util",com.liferay.portal.kernel.notifications
 ;version="8.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.service",com.liferay.portal
 .kernel.oauth;version="6.2.0";uses:="com.liferay.portal.kernel.except
 ion",com.liferay.portal.kernel.openid;version="1.0.0",com.liferay.por
 tal.kernel.parsers.bbcode;version="7.0.0",com.liferay.portal.kernel.p
 atcher;version="7.2.1";uses:="com.liferay.portal.kernel.exception",co
 m.liferay.portal.kernel.plugin;version="6.4.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.util",com.liferay.port
 al.kernel.poller;version="7.0.0";uses:="com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.json,com.liferay.portal.kernel.messa
 ging,com.liferay.portal.kernel.nio.intraband.proxy.annotation",com.li
 feray.portal.kernel.poller.comet;version="7.0.0";uses:="com.liferay.p
 ortal.kernel.exception,javax.servlet.http",com.liferay.portal.kernel.
 pop;version="6.3.0";uses:="com.liferay.portal.kernel.exception,javax.
 mail",com.liferay.portal.kernel.portlet;version="10.3.0";uses:="com.l
 iferay.asset.kernel.model,com.liferay.expando.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.atom,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.notifications,com.liferay
 .portal.kernel.poller,com.liferay.portal.kernel.pop,com.liferay.porta
 l.kernel.scheduler.messaging,com.liferay.portal.kernel.search,com.lif
 eray.portal.kernel.security.permission,com.liferay.portal.kernel.secu
 rity.permission.propagator,com.liferay.portal.kernel.servlet,com.life
 ray.portal.kernel.settings,com.liferay.portal.kernel.spring.osgi,com.
 liferay.portal.kernel.template,com.liferay.portal.kernel.theme,com.li
 feray.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.
 portal.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.p
 ortal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.registr
 y.collections,com.liferay.social.kernel.model,javax.portlet,javax.por
 tlet.annotations,javax.portlet.filter,javax.servlet,javax.servlet.htt
 p",com.liferay.portal.kernel.portlet.async;version="1.0.1";uses:="jav
 ax.portlet",com.liferay.portal.kernel.portlet.bridges.mvc;version="3.
 0.0";uses:="com.liferay.portal.kernel.portlet,javax.portlet",com.life
 ray.portal.kernel.portlet.bridges.mvc.constants;version="1.0.0",com.l
 iferay.portal.kernel.portlet.configuration.icon;version="1.1.0";uses:
 ="com.liferay.portal.kernel.model,com.liferay.registry,com.liferay.re
 gistry.collections,javax.portlet,javax.servlet,javax.servlet.http",co
 m.liferay.portal.kernel.portlet.configuration.icon.locator;version="1
 .0.0";uses:="javax.portlet",com.liferay.portal.kernel.portlet.constan
 ts;version="1.0.0",com.liferay.portal.kernel.portlet.toolbar;version=
 "1.0.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.port
 let",com.liferay.portal.kernel.portlet.toolbar.contributor;version="1
 .1.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.portle
 t",com.liferay.portal.kernel.portlet.toolbar.contributor.locator;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.portlet.toolbar.contribu
 tor,javax.portlet",com.liferay.portal.kernel.portletdisplaytemplate;v
 ersion="6.4.1";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.portal.kernel.template,javax.servlet.http",com.liferay.portal.ke
 rnel.portletfilerepository;version="2.0.2";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.repository.model,com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.process;version="8.0.0";use
 s:="com.liferay.portal.kernel.concurrent,com.liferay.portal.kernel.io
 ",com.liferay.portal.kernel.process.local;version="2.0.0";uses:="com.
 liferay.portal.kernel.concurrent,com.liferay.portal.kernel.process",c
 om.liferay.portal.kernel.regex;version="1.0.0",com.liferay.portal.ker
 nel.repository;version="9.1.0";uses:="com.liferay.asset.kernel.servic
 e,com.liferay.document.library.kernel.model,com.liferay.document.libr
 ary.kernel.service,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.repository.capabilities,com.liferay.portal.kernel.repository.mo
 del,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.kern
 el.search,com.liferay.portal.kernel.service,com.liferay.portal.kernel
 .util",com.liferay.portal.kernel.repository.capabilities;version="2.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.repository,com.liferay.portal.kernel.repository.event,com.liferay
 .portal.kernel.repository.model,com.liferay.portal.kernel.service,com
 .liferay.portal.kernel.util",com.liferay.portal.kernel.repository.eve
 nt;version="1.1.0";uses:="com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.reposit
 ory.registry",com.liferay.portal.kernel.repository.model;version="8.0
 .0";uses:="com.liferay.expando.kernel.model,com.liferay.exportimport.
 kernel.lar,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.json,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.repository.capabilities,com.liferay.port
 al.kernel.security.permission,com.liferay.portal.kernel.util",com.lif
 eray.portal.kernel.repository.proxy;version="3.0.0";uses:="com.lifera
 y.asset.kernel.service,com.liferay.document.library.kernel.model,com.
 liferay.document.library.kernel.service,com.liferay.expando.kernel.mo
 del,com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.repos
 itory,com.liferay.portal.kernel.repository.capabilities,com.liferay.p
 ortal.kernel.repository.model,com.liferay.portal.kernel.search,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.ser
 vice,com.liferay.portal.kernel.util",com.liferay.portal.kernel.reposi
 tory.registry;version="1.1.0";uses:="com.liferay.portal.kernel.reposi
 tory,com.liferay.portal.kernel.repository.capabilities,com.liferay.po
 rtal.kernel.repository.event",com.liferay.portal.kernel.repository.se
 arch;version="7.0.0";uses:="com.liferay.portal.kernel.search",com.lif
 eray.portal.kernel.repository.util;version="2.0.0";uses:="com.liferay
 .portal.kernel.repository.model",com.liferay.portal.kernel.resiliency
 ;version="6.2.0",com.liferay.portal.kernel.resiliency.mpi;version="6.
 3.0";uses:="com.liferay.portal.kernel.nio.intraband,com.liferay.porta
 l.kernel.resiliency.spi,com.liferay.portal.kernel.resiliency.spi.prov
 ider",com.liferay.portal.kernel.resiliency.spi;version="6.3.0";uses:=
 "com.liferay.portal.kernel.nio.intraband,com.liferay.portal.kernel.re
 siliency.mpi,com.liferay.portal.kernel.resiliency.spi.agent,com.lifer
 ay.portal.kernel.xml",com.liferay.portal.kernel.resiliency.spi.agent;
 version="6.2.0";uses:="com.liferay.portal.kernel.nio.intraband,com.li
 feray.portal.kernel.resiliency,com.liferay.portal.kernel.resiliency.s
 pi,javax.servlet.http",com.liferay.portal.kernel.resiliency.spi.agent
 .annotation;version="6.2.0",com.liferay.portal.kernel.resiliency.spi.
 cache;version="1.0.0";uses:="com.liferay.portal.kernel.cache",com.lif
 eray.portal.kernel.resiliency.spi.provider;version="6.2.0";uses:="com
 .liferay.portal.kernel.nio.intraband,com.liferay.portal.kernel.nio.in
 traband.welder,com.liferay.portal.kernel.resiliency,com.liferay.porta
 l.kernel.resiliency.spi,com.liferay.portal.kernel.resiliency.spi.remo
 te",com.liferay.portal.kernel.resiliency.spi.remote;version="7.0.0";u
 ses:="com.liferay.portal.kernel.nio.intraband,com.liferay.portal.kern
 el.nio.intraband.welder,com.liferay.portal.kernel.process,com.liferay
 .portal.kernel.process.local,com.liferay.portal.kernel.resiliency.mpi
 ,com.liferay.portal.kernel.resiliency.spi,com.liferay.portal.kernel.r
 esiliency.spi.agent",com.liferay.portal.kernel.resource;version="6.3.
 0",com.liferay.portal.kernel.resource.bundle;version="1.0.0",com.life
 ray.portal.kernel.resource.manager;version="1.0.0";uses:="com.liferay
 .portal.kernel.resource",com.liferay.portal.kernel.sanitizer;version=
 "8.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.scheduler;version="9.1.0";uses:="com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.messaging,com.liferay.portal.kerne
 l.messaging.proxy,com.liferay.portal.kernel.scheduler.messaging,com.l
 iferay.portal.kernel.util,javax.portlet",com.liferay.portal.kernel.sc
 heduler.config;version="7.0.0";uses:="com.liferay.portal.kernel.sched
 uler",com.liferay.portal.kernel.scheduler.messaging;version="8.0.0";u
 ses:="com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.s
 cheduler",com.liferay.portal.kernel.scripting;version="8.0.0";uses:="
 com.liferay.portal.kernel.exception,javax.portlet",com.liferay.portal
 .kernel.search;version="9.5.0";uses:="com.liferay.asset.kernel.model,
 com.liferay.expando.kernel.model,com.liferay.petra.lang,com.liferay.p
 etra.string,com.liferay.portal.kernel.backgroundtask,com.liferay.port
 al.kernel.comment,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.messaging,com.liferay.porta
 l.kernel.messaging.proxy,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.portlet,com.liferay.portal.kernel.repository.model,com.
 liferay.portal.kernel.search.facet,com.liferay.portal.kernel.search.f
 ilter,com.liferay.portal.kernel.search.geolocation,com.liferay.portal
 .kernel.search.messaging,com.liferay.portal.kernel.search.query,com.l
 iferay.portal.kernel.search.suggest,com.liferay.portal.kernel.securit
 y.permission,com.liferay.portal.kernel.theme,com.liferay.portal.kerne
 l.util,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet.http
 ",com.liferay.portal.kernel.search.analysis;version="2.0.0";uses:="co
 m.liferay.portal.kernel.search",com.liferay.portal.kernel.search.back
 ground.task;version="2.0.0",com.liferay.portal.kernel.search.dummy;ve
 rsion="3.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.search.filter,com.liferay.portal.kernel.search.suggest,com
 .liferay.portal.kernel.security.permission,javax.portlet",com.liferay
 .portal.kernel.search.facet;version="8.0.0";uses:="com.liferay.portal
 .kernel.json,com.liferay.portal.kernel.search,com.liferay.portal.kern
 el.search.facet.collector,com.liferay.portal.kernel.search.facet.conf
 ig,com.liferay.portal.kernel.search.facet.util,com.liferay.portal.ker
 nel.search.filter",com.liferay.portal.kernel.search.facet.collector;v
 ersion="6.3.0",com.liferay.portal.kernel.search.facet.config;version=
 "8.0.0";uses:="com.liferay.portal.kernel.json",com.liferay.portal.ker
 nel.search.facet.faceted.searcher;version="2.0.0";uses:="com.liferay.
 portal.kernel.search",com.liferay.portal.kernel.search.facet.util;ver
 sion="7.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.search.facet",com.liferay.portal.kernel.search.filter;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.portal
 .kernel.search.geolocation",com.liferay.portal.kernel.search.generic;
 version="3.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.search.filter,com.liferay.portal.kernel.search.query",co
 m.liferay.portal.kernel.search.geolocation;version="1.0.0",com.lifera
 y.portal.kernel.search.highlight;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.search",com.liferay.portal.kernel.search.hits;version="2
 .0.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.ker
 nel.search.messaging;version="7.0.0";uses:="com.liferay.portal.kernel
 .messaging.proxy,com.liferay.portal.kernel.search",com.liferay.portal
 .kernel.search.query;version="1.0.0";uses:="com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.search.generic",com.liferay.portal.
 kernel.search.queue;version="3.0.0";uses:="com.liferay.portal.kernel.
 search",com.liferay.portal.kernel.search.reindexer;version="1.0.0",co
 m.liferay.portal.kernel.search.result;version="1.0.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.search,javax.po
 rtlet",com.liferay.portal.kernel.search.suggest;version="2.0.0";uses:
 ="com.liferay.portal.kernel.messaging.proxy,com.liferay.portal.kernel
 .search",com.liferay.portal.kernel.security;version="6.2.0",com.lifer
 ay.portal.kernel.security.access.control;version="2.0.0";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.security.aut
 h,com.liferay.portal.kernel.security.auth.verifier,javax.servlet.http
 ",com.liferay.portal.kernel.security.auth;version="2.5.0";uses:="com.
 liferay.petra.lang,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.porta
 l.kernel.security.auth.verifier,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.registry,com.liferay.registry.collections,javax.
 servlet.http",com.liferay.portal.kernel.security.auth.http;version="1
 .1.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",
 com.liferay.portal.kernel.security.auth.session;version="1.0.0";uses:
 ="com.liferay.portal.kernel.exception,javax.servlet.http",com.liferay
 .portal.kernel.security.auth.tunnel;version="1.0.0";uses:="com.lifera
 y.portal.kernel.security.auth,javax.servlet.http",com.liferay.portal.
 kernel.security.auth.verifier;version="1.1.0";uses:="com.liferay.port
 al.kernel.security.auth",com.liferay.portal.kernel.security.auto.logi
 n;version="2.0.0";uses:="com.liferay.portal.kernel.exception,javax.se
 rvlet.http",com.liferay.portal.kernel.security.exportimport;version="
 1.0.0",com.liferay.portal.kernel.security.jaas;version="6.2.0";uses:=
 "com.liferay.portal.kernel.servlet,javax.security.auth,javax.security
 .auth.callback,javax.security.auth.login,javax.security.auth.spi",com
 .liferay.portal.kernel.security.ldap;version="1.0.0";uses:="javax.nam
 ing.directory",com.liferay.portal.kernel.security.membershippolicy;ve
 rsion="1.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.permission,com.liferay.portal.kernel.util",com.lifer
 ay.portal.kernel.security.permission;version="3.4.0";uses:="com.lifer
 ay.petra.sql.dsl,com.liferay.petra.sql.dsl.expression,com.liferay.pet
 ra.sql.dsl.query,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.security.permission.contrib
 utor,com.liferay.portal.kernel.security.permission.propagator,com.lif
 eray.portal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.
 security.permission.comparator;version="1.0.0",com.liferay.portal.ker
 nel.security.permission.contributor;version="1.0.0";uses:="com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.security.permission",
 com.liferay.portal.kernel.security.permission.propagator;version="1.0
 .0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.lif
 eray.portal.kernel.security.permission.resource;version="1.1.0";uses:
 ="com.liferay.exportimport.kernel.staging.permission,com.liferay.petr
 a.function,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.security.auth,com.liferay.portal.
 kernel.security.permission,com.liferay.portal.kernel.service,com.life
 ray.portal.kernel.workflow.permission",com.liferay.portal.kernel.secu
 rity.permission.resource.definition;version="1.0.1";uses:="com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.security.permission.resource",com.liferay.portal.kerne
 l.security.permission.wrapper;version="1.0.0";uses:="com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.security.permission,com.lif
 eray.portal.kernel.security.permission.contributor",com.liferay.porta
 l.kernel.security.pwd;version="2.0.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.model",com.liferay.portal.kerne
 l.security.service.access.policy;version="1.1.0",com.liferay.portal.k
 ernel.security.sso;version="1.0.0";uses:="javax.servlet.http",com.lif
 eray.portal.kernel.security.xml;version="1.0.0";uses:="javax.xml.pars
 ers,javax.xml.stream,org.xml.sax",com.liferay.portal.kernel.service;v
 ersion="4.11.0";uses:="com.liferay.announcements.kernel.model,com.lif
 eray.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.lif
 eray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.porta
 l.kernel.cache.thread.local,com.liferay.portal.kernel.change.tracking
 ,com.liferay.portal.kernel.cluster,com.liferay.portal.kernel.dao.orm,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.mess
 aging.async,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .notifications,com.liferay.portal.kernel.plugin,com.liferay.portal.ke
 rnel.portlet,com.liferay.portal.kernel.repository.model,com.liferay.p
 ortal.kernel.search,com.liferay.portal.kernel.security.access.control
 ,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.service.change.tracking,c
 om.liferay.portal.kernel.service.configuration,com.liferay.portal.ker
 nel.service.permission,com.liferay.portal.kernel.service.persistence,
 com.liferay.portal.kernel.service.persistence.change.tracking,com.lif
 eray.portal.kernel.settings,com.liferay.portal.kernel.spring.aop,com.
 liferay.portal.kernel.systemevent,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.transaction,com.liferay.portal.kernel.upgrade,
 com.liferay.portal.kernel.upload,com.liferay.portal.kernel.util,com.l
 iferay.portal.kernel.xml,javax.portlet,javax.servlet,javax.servlet.ht
 tp",com.liferay.portal.kernel.service.change.tracking;version="1.0.0"
 ;uses:="com.liferay.petra.function,com.liferay.portal.kernel.model.ch
 ange.tracking,com.liferay.portal.kernel.service.persistence.change.tr
 acking,com.liferay.portal.kernel.transaction",com.liferay.portal.kern
 el.service.configuration;version="1.1.1",com.liferay.portal.kernel.se
 rvice.configuration.servlet;version="1.1.0";uses:="com.liferay.portal
 .kernel.service.configuration,javax.servlet",com.liferay.portal.kerne
 l.service.http;version="1.0.0";uses:="com.liferay.portal.kernel.secur
 ity.auth,com.liferay.portal.kernel.util",com.liferay.portal.kernel.se
 rvice.permission;version="2.0.0";uses:="com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.secu
 rity.auth,com.liferay.portal.kernel.security.permission,javax.portlet
 ,javax.servlet.http",com.liferay.portal.kernel.service.persistence;ve
 rsion="6.4.0";uses:="com.liferay.petra.sql.dsl.query,com.liferay.port
 al.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.service.persistence.change.tracking,com.liferay.portal.kernel
 .util,javax.sql",com.liferay.portal.kernel.service.persistence.change
 .tracking;version="1.3.0";uses:="com.liferay.portal.kernel.change.tra
 cking,com.liferay.portal.kernel.model.change.tracking,com.liferay.por
 tal.kernel.service.persistence",com.liferay.portal.kernel.service.per
 sistence.change.tracking.helper;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.model.change.tracking",com.liferay.portal.kernel.service.
 persistence.impl;version="3.2.0";uses:="com.liferay.petra.sql.dsl,com
 .liferay.petra.sql.dsl.query,com.liferay.petra.string,com.liferay.por
 tal.kernel.configuration,com.liferay.portal.kernel.dao.db,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.service,com.liferay.p
 ortal.kernel.service.persistence,com.liferay.portal.kernel.util,javax
 .sql",com.liferay.portal.kernel.service.version;version="1.1.0";uses:
 ="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model
 .version",com.liferay.portal.kernel.servlet;version="8.4.0";uses:="co
 m.liferay.portal.kernel.log,com.liferay.portal.kernel.util,javax.port
 let,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servl
 et.filters.compoundsessionid;version="7.0.0";uses:="com.liferay.porta
 l.kernel.servlet,javax.servlet.http",com.liferay.portal.kernel.servle
 t.filters.invoker;version="9.0.0";uses:="com.liferay.portal.kernel.ut
 il,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servle
 t.taglib;version="7.0.0";uses:="com.liferay.portal.kernel.log,com.lif
 eray.portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay
 .portal.kernel.servlet.taglib.aui;version="8.1.0";uses:="com.liferay.
 portal.kernel.util",com.liferay.portal.kernel.servlet.taglib.ui;versi
 on="6.7.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal.k
 ernel.util,javax.servlet,javax.servlet.http",com.liferay.portal.kerne
 l.servlet.taglib.util;version="7.0.0";uses:="com.liferay.petra.string
 ,com.liferay.portal.kernel.util",com.liferay.portal.kernel.settings;v
 ersion="3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.resource.manager,javax
 .portlet",com.liferay.portal.kernel.settings.definition;version="1.0.
 0",com.liferay.portal.kernel.social;version="1.0.0";uses:="com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay
 .social.kernel.service",com.liferay.portal.kernel.spring.aop;version=
 "7.0.0";uses:="com.liferay.portal.kernel.service",com.liferay.portal.
 kernel.spring.orm;version="1.0.0",com.liferay.portal.kernel.spring.os
 gi;version="2.0.0",com.liferay.portal.kernel.spring.util;version="7.0
 .0",com.liferay.portal.kernel.struts;version="8.0.0";uses:="javax.ser
 vlet.http",com.liferay.portal.kernel.systemevent;version="6.2.0",com.
 liferay.portal.kernel.template;version="9.1.0";uses:="com.liferay.dyn
 amic.data.mapping.kernel,com.liferay.portal.kernel.cache,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.xml,javax.servlet,j
 avax.servlet.http",com.liferay.portal.kernel.template.comparator;vers
 ion="6.2.0";uses:="com.liferay.portal.kernel.template",com.liferay.po
 rtal.kernel.templateparser;version="7.1.0";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.theme,com.liferay.portal.k
 ernel.xml",com.liferay.portal.kernel.terms.of.use;version="1.0.1";use
 s:="javax.servlet.http",com.liferay.portal.kernel.theme;version="3.1.
 0";uses:="com.liferay.mobile.device.rules.kernel,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.ker
 nel.mobile.device,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.module.configuration,com.liferay.portal.kernel.portlet.configu
 ration.icon,com.liferay.portal.kernel.portlet.toolbar,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.util,javax.p
 ortlet,javax.servlet.http",com.liferay.portal.kernel.transaction;vers
 ion="8.1.0",com.liferay.portal.kernel.trash;version="9.0.0";uses:="co
 m.liferay.asset.kernel.model,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.search.filter,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.portal.kernel.service,com.liferay.portal.kernel.
 util,com.liferay.trash.kernel.model,javax.portlet,javax.servlet,javax
 .servlet.http",com.liferay.portal.kernel.tree;version="2.1.1";uses:="
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model",
 com.liferay.portal.kernel.upgrade;version="8.5.0";uses:="com.liferay.
 portal.kernel.dao.db,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.resource.bundle,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.upgrade.util,com.liferay.portal.kernel.upgrade.v
 6_2_0,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,ja
 vax.portlet",com.liferay.portal.kernel.upgrade.util;version="7.1.0";u
 ses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.upgra
 de,com.liferay.portal.kernel.version",com.liferay.portal.kernel.upgra
 de.v6_2_0;version="8.3.0";uses:="com.liferay.portal.kernel.upgrade",c
 om.liferay.portal.kernel.upload;version="8.1.0";uses:="com.liferay.po
 rtal.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.p
 ortal.kernel.url;version="1.0.0";uses:="javax.servlet",com.liferay.po
 rtal.kernel.util;version="10.24.0";uses:="com.liferay.expando.kernel.
 model,com.liferay.mail.kernel.model,com.liferay.petra.process,com.lif
 eray.petra.sql.dsl.query.sort,com.liferay.portal.kernel.configuration
 ,com.liferay.portal.kernel.dao.jdbc.aop,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.group.capability,com.liferay.portal.
 kernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.por
 tlet,com.liferay.portal.kernel.repository.model,com.liferay.portal.ke
 rnel.resource.bundle,com.liferay.portal.kernel.security.permission,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.settings,co
 m.liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,c
 om.liferay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.m
 ail,javax.mail.internet,javax.portlet,javax.servlet,javax.servlet.htt
 p,javax.sql",com.liferay.portal.kernel.util.comparator;version="3.1.0
 ";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.po
 rtlet.configuration.icon,com.liferay.portal.kernel.util,javax.servlet
 ",com.liferay.portal.kernel.uuid;version="6.2.0",com.liferay.portal.k
 ernel.verify.model;version="2.0.0",com.liferay.portal.kernel.version;
 version="1.0.0",com.liferay.portal.kernel.view.count;version="1.1.0";
 uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel
 .webcache;version="6.2.0";uses:="com.liferay.portal.kernel.exception"
 ,com.liferay.portal.kernel.webdav;version="8.0.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.security.permission,com.l
 iferay.portal.kernel.webdav.methods,com.liferay.portal.kernel.xml,jav
 ax.servlet.http",com.liferay.portal.kernel.webdav.methods;version="6.
 2.0";uses:="com.liferay.portal.kernel.webdav,javax.servlet.http",com.
 liferay.portal.kernel.webserver;version="1.0.0",com.liferay.portal.ke
 rnel.words;version="1.0.2";uses:="com.liferay.portal.kernel.jazzy",co
 m.liferay.portal.kernel.workflow;version="9.5.0";uses:="com.liferay.a
 sset.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.messaging.proxy,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.portlet,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.util,com.liferay.portal.kernel.workflow.search,javax.p
 ortlet,javax.servlet.http",com.liferay.portal.kernel.workflow.compara
 tor;version="7.3.0";uses:="com.liferay.portal.kernel.messaging.proxy,
 com.liferay.portal.kernel.util,com.liferay.portal.kernel.workflow",co
 m.liferay.portal.kernel.workflow.messaging;version="7.0.0";uses:="com
 .liferay.portal.kernel.messaging",com.liferay.portal.kernel.workflow.
 permission;version="7.0.0";uses:="com.liferay.portal.kernel.security.
 permission",com.liferay.portal.kernel.workflow.search;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.workflow",com.liferay.portal.kernel
 .xml;version="7.0.2";uses:="org.xml.sax",com.liferay.portal.kernel.xm
 l.simple;version="6.2.0",com.liferay.portal.kernel.xmlrpc;version="6.
 2.0";uses:="com.liferay.portal.kernel.exception",com.liferay.portal.k
 ernel.xuggler;version="7.0.0";uses:="com.liferay.portal.kernel.except
 ion",com.liferay.portal.kernel.zip;version="6.4.2",com.liferay.portle
 t.configuration.kernel.util;version="1.0.0";uses:="javax.portlet",com
 .liferay.ratings.kernel;version="1.2.0",com.liferay.ratings.kernel.de
 finition;version="1.1.0";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.ratings.kernel",com.liferay.ratings.kernel.display.context
 ;version="1.0.0";uses:="com.liferay.portal.kernel.util,com.liferay.ra
 tings.kernel,javax.portlet,javax.servlet.http",com.liferay.ratings.ke
 rnel.exception;version="1.0.0";uses:="com.liferay.portal.kernel.excep
 tion",com.liferay.ratings.kernel.model;version="2.4.0";uses:="com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,co
 m.liferay.portal.kernel.util",com.liferay.ratings.kernel.service;vers
 ion="2.5.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.pe
 tra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kerne
 l.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.jsonwebservice,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.security.access.control,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.service.change.tracking,com.liferay.porta
 l.kernel.service.persistence.change.tracking,com.liferay.portal.kerne
 l.systemevent,com.liferay.portal.kernel.transaction,com.liferay.porta
 l.kernel.util,com.liferay.ratings.kernel.model",com.liferay.ratings.k
 ernel.service.persistence;version="4.1.0";uses:="com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.util,com.liferay.ratings.
 kernel.exception,com.liferay.ratings.kernel.model",com.liferay.rating
 s.kernel.transformer;version="1.0.0";uses:="com.liferay.portal.kernel
 .dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.util,com.liferay.ratings.kernel,com.liferay.ratings.kernel.model,ja
 vax.portlet",com.liferay.roles.admin.kernel.util;version="2.0.0";uses
 :="com.liferay.portal.kernel.model",com.liferay.sites.kernel.util;ver
 sion="1.3.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.service,javax.portlet,javax.servlet.http",com.l
 iferay.social.kernel.exception;version="1.0.0";uses:="com.liferay.por
 tal.kernel.exception",com.liferay.social.kernel.model;version="3.4.0"
 ;uses:="com.liferay.asset.kernel.model,com.liferay.petra.sql.dsl,com.
 liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.l
 iferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.model.change.tracking,com.liferay.portal.kernel.model.wr
 apper,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.ke
 rnel.security.permission,com.liferay.portal.kernel.service,com.lifera
 y.portal.kernel.theme,com.liferay.portal.kernel.util",com.liferay.soc
 ial.kernel.model.impl;version="1.0.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.so
 cial.kernel.model",com.liferay.social.kernel.service;version="1.8.0";
 uses:="com.liferay.asset.kernel.model,com.liferay.petra.function,com.
 liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.tracking
 ,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebser
 vice,com.liferay.portal.kernel.messaging.async,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 security.access.control,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.service.change.tracking,com.liferay.portal.kernel.serv
 ice.persistence.change.tracking,com.liferay.portal.kernel.theme,com.l
 iferay.portal.kernel.transaction,com.liferay.portal.kernel.util,com.l
 iferay.social.kernel.model",com.liferay.social.kernel.service.permiss
 ion;version="1.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.security.permission",com.liferay.social.kernel.se
 rvice.persistence;version="4.1.0";uses:="com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.ser
 vice.persistence,com.liferay.portal.kernel.service.persistence.change
 .tracking,com.liferay.portal.kernel.util,com.liferay.social.kernel.ex
 ception,com.liferay.social.kernel.model",com.liferay.social.kernel.ut
 il;version="1.0.0";uses:="com.liferay.portal.kernel.service,com.lifer
 ay.social.kernel.model,javax.servlet.http",com.liferay.social.kernel.
 util.comparator;version="1.1.0";uses:="com.liferay.portal.kernel.util
 ,com.liferay.social.kernel.model",com.liferay.trash.kernel.exception;
 version="1.1.0";uses:="com.liferay.portal.kernel.exception",com.lifer
 ay.trash.kernel.model;version="1.1.0";uses:="com.liferay.expando.kern
 el.model,com.liferay.portal.kernel.annotation,com.liferay.portal.kern
 el.bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.ser
 vice,com.liferay.portal.kernel.util",com.liferay.trash.kernel.service
 ;version="1.4.1";uses:="com.liferay.portal.kernel.change.tracking,com
 .liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.search,com.liferay.portal.kernel.security
 .access.control,com.liferay.portal.kernel.security.auth,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.transaction,com.lifera
 y.portal.kernel.util,com.liferay.trash.kernel.model",com.liferay.tras
 h.kernel.service.persistence;version="1.3.0";uses:="com.liferay.porta
 l.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.service.persistence,com.liferay.portal.kernel.util,com.lifera
 y.trash.kernel.exception,com.liferay.trash.kernel.model",com.liferay.
 trash.kernel.util;version="1.0.2";uses:="com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.por
 tlet,com.liferay.portal.kernel.search,com.liferay.portal.kernel.theme
 ,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model,javax.
 portlet,javax.servlet.http",com.liferay.trash.kernel.util.comparator;
 version="1.1.0";uses:="com.liferay.portal.kernel.util,com.liferay.tra
 sh.kernel.model",com.liferay.users.admin.kernel.file.uploads;version=
 "1.0.1",com.liferay.users.admin.kernel.organization.types;version="1.
 0.1",com.liferay.users.admin.kernel.util;version="2.0.0";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.util,javax.portlet,javax.servlet.http"
Git-Descriptor: 57c6f0926d88e-dirty
Git-SHA: 57c6f0926d88e463808bbde481b082ec2149a45e
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[2.2,2.3)",com
 .liferay.asset.kernel;version="[1.1,2)",com.liferay.asset.kernel.exce
 ption;version="[2.0,3)",com.liferay.asset.kernel.model;version="[3.5,
 3.6)",com.liferay.asset.kernel.service;version="[2.10,2.11)",com.life
 ray.asset.kernel.service.persistence;version="[3.5,4)",com.liferay.co
 unter.kernel.service;version="[2.0,2.1)",com.liferay.document.library
 .kernel.exception;version="[3.1,4)",com.liferay.document.library.kern
 el.model;version="[3.2,3.3)",com.liferay.document.library.kernel.serv
 ice;version="[3.6,3.7)",com.liferay.document.library.kernel.store;ver
 sion="[2.1,3)",com.liferay.document.library.kernel.util;version="[2.0
 ,3)",com.liferay.dynamic.data.mapping.kernel;version="[1.4,2)",com.li
 feray.expando.kernel.exception;version="[1.1,2)",com.liferay.expando.
 kernel.model;version="[3.3,3.4)",com.liferay.expando.kernel.util;vers
 ion="[2.0,3)",com.liferay.exportimport.kernel.exception;version="[1.3
 ,2)",com.liferay.exportimport.kernel.lar;version="[3.3,4)",com.lifera
 y.exportimport.kernel.lifecycle;version="[2.0,3)",com.liferay.exporti
 mport.kernel.model;version="[2.2,2.3)",com.liferay.exportimport.kerne
 l.service;version="[2.5,2.6)",com.liferay.exportimport.kernel.staging
 ;version="[2.2,3)",com.liferay.exportimport.kernel.staging.permission
 ;version="[1.0,2)",com.liferay.layout.admin.kernel.model;version="[1.
 0,2)",com.liferay.mail.kernel.model;version="[1.1,2)",com.liferay.mai
 l.kernel.service;version="[1.0,2)",com.liferay.mail.kernel.template;v
 ersion="[2.0,3)",com.liferay.mobile.device.rules.kernel;version="[1.0
 ,2)",com.liferay.petra.concurrent,com.liferay.petra.executor,com.life
 ray.petra.function,com.liferay.petra.io,com.liferay.petra.io.unsync,c
 om.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio,
 com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.petra
 .sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base
 ,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query
 ,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.a
 st,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.dsl
 .spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annotat
 ion;version="[7.0,8)",com.liferay.portal.kernel.application.type;vers
 ion="[1.0,2)",com.liferay.portal.kernel.atom;version="[7.0,8)",com.li
 feray.portal.kernel.backgroundtask;version="[8.0,9)",com.liferay.port
 al.kernel.backgroundtask.display;version="[2.0,2.1)",com.liferay.port
 al.kernel.bean;version="[8.0,9)",com.liferay.portal.kernel.cache;vers
 ion="[9.1,9.2)",com.liferay.portal.kernel.cache.key;version="[6.3,7)"
 ,com.liferay.portal.kernel.cache.thread.local;version="[2.0,3)",com.l
 iferay.portal.kernel.change.tracking;version="[1.2,2)",com.liferay.po
 rtal.kernel.cluster;version="[8.0,9)",com.liferay.portal.kernel.comme
 nt;version="[3.0,3.1)",com.liferay.portal.kernel.concurrent;version="
 [8.0,9)",com.liferay.portal.kernel.configuration;version="[6.3,7)",co
 m.liferay.portal.kernel.dao.db;version="[7.9,8)",com.liferay.portal.k
 ernel.dao.jdbc.aop;version="[7.0,8)",com.liferay.portal.kernel.dao.or
 m;version="[9.7,9.8)",com.liferay.portal.kernel.dao.search;version="[
 8.0,9)",com.liferay.portal.kernel.deploy;version="[6.3,7)",com.lifera
 y.portal.kernel.deploy.auto.context;version="[6.3,7)",com.liferay.por
 tal.kernel.deploy.hot;version="[7.1,8)",com.liferay.portal.kernel.dis
 play.context;version="[1.0,2)",com.liferay.portal.kernel.exception;ve
 rsion="[9.5,10)",com.liferay.portal.kernel.group.capability;version="
 [1.0,2)",com.liferay.portal.kernel.image;version="[7.2,8)",com.lifera
 y.portal.kernel.increment;version="[7.0,8)",com.liferay.portal.kernel
 .io;version="[8.0,9)",com.liferay.portal.kernel.io.unsync;version="[7
 .0,8)",com.liferay.portal.kernel.jazzy;version="[1.0,2)",com.liferay.
 portal.kernel.jmx.model;version="[7.0,8)",com.liferay.portal.kernel.j
 ndi;version="[7.0,8)",com.liferay.portal.kernel.json;version="[8.7,9)
 ",com.liferay.portal.kernel.jsonwebservice;version="[7.0,8)",com.life
 ray.portal.kernel.language;version="[8.3,9)",com.liferay.portal.kerne
 l.language.constants;version="[1.0,2)",com.liferay.portal.kernel.layo
 utconfiguration.util.xml;version="[1.0,2)",com.liferay.portal.kernel.
 license;version="[1.0,2)",com.liferay.portal.kernel.lock;version="[7.
 3,8)",com.liferay.portal.kernel.log;version="[7.0,8)",com.liferay.por
 tal.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.mes
 saging;version="[9.1,10)",com.liferay.portal.kernel.messaging.async;v
 ersion="[6.2,7)",com.liferay.portal.kernel.messaging.config;version="
 [8.1,9)",com.liferay.portal.kernel.messaging.proxy;version="[8.1,9)",
 com.liferay.portal.kernel.messaging.sender;version="[8.0,9)",com.life
 ray.portal.kernel.mobile.device;version="[9.0,9.1)",com.liferay.porta
 l.kernel.model;version="[5.6,5.7)",com.liferay.portal.kernel.model.ad
 apter.builder;version="[1.0,2)",com.liferay.portal.kernel.model.chang
 e.tracking;version="[1.0,2)",com.liferay.portal.kernel.model.impl;ver
 sion="[3.4,4)",com.liferay.portal.kernel.model.portlet;version="[2.0,
 3)",com.liferay.portal.kernel.model.version;version="[2.0,3)",com.lif
 eray.portal.kernel.model.wrapper;version="[1.1,2)",com.liferay.portal
 .kernel.module.configuration;version="[2.0,3)",com.liferay.portal.ker
 nel.module.framework.service;version="[1.0,2)",com.liferay.portal.ker
 nel.nio.intraband;version="[7.0,8)",com.liferay.portal.kernel.nio.int
 raband.blocking;version="[6.3,7)",com.liferay.portal.kernel.nio.intra
 band.nonblocking;version="[6.3,7)",com.liferay.portal.kernel.nio.intr
 aband.proxy.annotation;version="[1.0,2)",com.liferay.portal.kernel.ni
 o.intraband.rpc;version="[7.0,8)",com.liferay.portal.kernel.nio.intra
 band.welder;version="[6.2,7)",com.liferay.portal.kernel.nio.intraband
 .welder.fifo;version="[6.2,7)",com.liferay.portal.kernel.nio.intraban
 d.welder.socket;version="[6.2,7)",com.liferay.portal.kernel.notificat
 ions;version="[8.0,9)",com.liferay.portal.kernel.plugin;version="[6.4
 ,7)",com.liferay.portal.kernel.poller;version="[7.0,8)",com.liferay.p
 ortal.kernel.pop;version="[6.3,7)",com.liferay.portal.kernel.portlet;
 version="[10.3,10.4)",com.liferay.portal.kernel.portlet.bridges.mvc.c
 onstants;version="[1.0,2)",com.liferay.portal.kernel.portlet.configur
 ation.icon;version="[1.1,2)",com.liferay.portal.kernel.portlet.config
 uration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel.port
 let.toolbar;version="[1.0,2)",com.liferay.portal.kernel.portlet.toolb
 ar.contributor;version="[1.1,2)",com.liferay.portal.kernel.portlet.to
 olbar.contributor.locator;version="[1.0,2)",com.liferay.portal.kernel
 .process;version="[8.0,9)",com.liferay.portal.kernel.process.local;ve
 rsion="[2.0,3)",com.liferay.portal.kernel.repository;version="[9.1,10
 )",com.liferay.portal.kernel.repository.capabilities;version="[2.0,2.
 1)",com.liferay.portal.kernel.repository.event;version="[1.1,2)",com.
 liferay.portal.kernel.repository.model;version="[8.0,8.1)",com.lifera
 y.portal.kernel.repository.registry;version="[1.1,2)",com.liferay.por
 tal.kernel.repository.search;version="[7.0,8)",com.liferay.portal.ker
 nel.resiliency;version="[6.2,7)",com.liferay.portal.kernel.resiliency
 .mpi;version="[6.3,7)",com.liferay.portal.kernel.resiliency.spi;versi
 on="[6.3,7)",com.liferay.portal.kernel.resiliency.spi.agent;version="
 [6.2,7)",com.liferay.portal.kernel.resiliency.spi.provider;version="[
 6.2,7)",com.liferay.portal.kernel.resiliency.spi.remote;version="[7.0
 ,8)",com.liferay.portal.kernel.resource;version="[6.3,7)",com.liferay
 .portal.kernel.resource.bundle;version="[1.0,1.1)",com.liferay.portal
 .kernel.resource.manager;version="[1.0,2)",com.liferay.portal.kernel.
 scheduler;version="[9.1,10)",com.liferay.portal.kernel.scheduler.mess
 aging;version="[8.0,9)",com.liferay.portal.kernel.search;version="[9.
 5,9.6)",com.liferay.portal.kernel.search.background.task;version="[2.
 0,3)",com.liferay.portal.kernel.search.dummy;version="[3.0,4)",com.li
 feray.portal.kernel.search.facet;version="[8.0,9)",com.liferay.portal
 .kernel.search.facet.collector;version="[6.3,7)",com.liferay.portal.k
 ernel.search.facet.config;version="[8.0,9)",com.liferay.portal.kernel
 .search.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search
 .filter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;ve
 rsion="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version=
 "[1.0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)
 ",com.liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay
 .portal.kernel.search.messaging;version="[7.0,8)",com.liferay.portal.
 kernel.search.query;version="[1.0,2)",com.liferay.portal.kernel.searc
 h.result;version="[1.0,2)",com.liferay.portal.kernel.search.suggest;v
 ersion="[2.0,3)",com.liferay.portal.kernel.security;version="[6.2,7)"
 ,com.liferay.portal.kernel.security.auth;version="[2.5,3)",com.lifera
 y.portal.kernel.security.auth.tunnel;version="[1.0,2)",com.liferay.po
 rtal.kernel.security.auth.verifier;version="[1.1,2)",com.liferay.port
 al.kernel.security.permission;version="[3.4,3.5)",com.liferay.portal.
 kernel.security.permission.contributor;version="[1.0,2)",com.liferay.
 portal.kernel.security.permission.propagator;version="[1.0,2)",com.li
 feray.portal.kernel.security.permission.resource.definition;version="
 [1.0,2)",com.liferay.portal.kernel.security.pwd;version="[2.0,3)",com
 .liferay.portal.kernel.security.xml;version="[1.0,2)",com.liferay.por
 tal.kernel.service.change.tracking;version="[1.0,2)",com.liferay.port
 al.kernel.service.configuration;version="[1.1,1.2)",com.liferay.porta
 l.kernel.service.persistence;version="[6.4,7)",com.liferay.portal.ker
 nel.service.persistence.change.tracking;version="[1.3,2)",com.liferay
 .portal.kernel.servlet.filters.compoundsessionid;version="[7.0,8)",co
 m.liferay.portal.kernel.servlet.filters.invoker;version="[9.0,10)",co
 m.liferay.portal.kernel.servlet.taglib.ui;version="[6.7,7)",com.lifer
 ay.portal.kernel.settings;version="[3.1,4)",com.liferay.portal.kernel
 .spring.aop;version="[7.0,8)",com.liferay.portal.kernel.spring.orm;ve
 rsion="[1.0,2)",com.liferay.portal.kernel.spring.osgi;version="[2.0,3
 )",com.liferay.portal.kernel.systemevent;version="[6.2,7)",com.lifera
 y.portal.kernel.template;version="[9.1,9.2)",com.liferay.portal.kerne
 l.theme;version="[3.1,4)",com.liferay.portal.kernel.transaction;versi
 on="[8.1,8.2)",com.liferay.portal.kernel.trash;version="[9.0,9.1)",co
 m.liferay.portal.kernel.upgrade;version="[8.5,9)",com.liferay.portal.
 kernel.upgrade.util;version="[7.1,8)",com.liferay.portal.kernel.upgra
 de.v6_2_0;version="[8.3,9)",com.liferay.portal.kernel.upload;version=
 "[8.1,9)",com.liferay.portal.kernel.util.comparator;version="[3.1,4)"
 ,com.liferay.portal.kernel.uuid;version="[6.2,7)",com.liferay.portal.
 kernel.version;version="[1.0,2)",com.liferay.portal.kernel.webdav;ver
 sion="[8.0,9)",com.liferay.portal.kernel.webdav.methods;version="[6.2
 ,7)",com.liferay.portal.kernel.webserver;version="[1.0,2)",com.lifera
 y.portal.kernel.workflow;version="[9.5,10)",com.liferay.portal.kernel
 .workflow.permission;version="[7.0,8)",com.liferay.portal.kernel.work
 flow.search;version="[1.0,2)",com.liferay.portal.kernel.xml;version="
 [7.0,7.1)",com.liferay.portal.kernel.xml.simple;version="[6.2,7)",com
 .liferay.portal.kernel.xmlrpc;version="[6.2,7)",com.liferay.portal.ke
 rnel.zip;version="[6.4,7)",com.liferay.ratings.kernel;version="[1.2,2
 )",com.liferay.ratings.kernel.definition;version="[1.1,2)",com.lifera
 y.ratings.kernel.exception;version="[1.0,2)",com.liferay.ratings.kern
 el.model;version="[2.4,2.5)",com.liferay.ratings.kernel.service;versi
 on="[2.5,2.6)",com.liferay.ratings.kernel.transformer;version="[1.0,2
 )",com.liferay.registry,com.liferay.registry.collections,com.liferay.
 registry.dependency,com.liferay.registry.util,com.liferay.sites.kerne
 l.util;version="[1.3,2)",com.liferay.social.kernel.exception;version=
 "[1.0,2)",com.liferay.social.kernel.model;version="[3.4,3.5)",com.lif
 eray.social.kernel.service;version="[1.8,1.9)",com.liferay.social.ker
 nel.service.persistence;version="[4.1,5)",com.liferay.trash.kernel.ex
 ception;version="[1.1,2)",com.liferay.trash.kernel.model;version="[1.
 1,1.2)",com.liferay.trash.kernel.util;version="[1.0,2)",com.liferay.u
 sers.admin.kernel.file.uploads;version="[1.0,2)",javax.mail,javax.mai
 l.internet,javax.management,javax.naming,javax.naming.directory,javax
 .net.ssl,javax.portlet,javax.portlet.annotations,javax.portlet.filter
 ,javax.security.auth,javax.security.auth.callback,javax.security.auth
 .login,javax.security.auth.spi,javax.servlet,javax.servlet.http,javax
 .sql,javax.xml.namespace,javax.xml.parsers,javax.xml.stream,org.xml.s
 ax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Tue Sep 22 00:00:00 PDT 2020
Liferay-Portal-Build-Number: 7310
Liferay-Portal-Build-Time: Mon Oct 27 08:47:41 PDT 2025
Liferay-Portal-Code-Name: Athanasius
Liferay-Portal-Parent-Build-Number: 7310
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.3.1
 0 GA1 (Athanasius / Build 7310 / September 22, 2020)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.3.
 10
Liferay-Portal-Version: 7.3.10
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.se
 curity.access.control,com.liferay.portal.kernel.internal.security.per
 mission.resource,com.liferay.portal.kernel.internal.service.permissio
 n,com.liferay.portal.kernel.internal.service.persistence,com.liferay.
 portal.kernel.internal.service.persistence.change.tracking,com.lifera
 y.portal.kernel.internal.servlet,com.liferay.portal.kernel.internal.s
 pring.transaction,com.liferay.portal.kernel.internal.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
